Name:           nfspy
Version:        1.0
Release:        14%{?dist}
Summary:        An ID-spoofing NFS client

License:        MIT
URL:            https://github.com/bonsaiviking/NfSpy
Source0:        https://github.com/bonsaiviking/NfSpy/archive/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-fuse

Requires:       python2-fuse

%description
NfSpy is a Python library for automating the falsification of NFS credentials
when mounting an NFS share. Included are two client programs:

- nfspy uses the Filesystem in Userspace (FUSE) library to mount an NFS share
  in Linux. This allows the use of any regular file-searching and manipulation
  programs like grep and find to explore the NFS export.
- nfspysh is a ftp-like interactive shell for exploring NFS exports. It does
  not require the FUSE library, so it can run on non-Linux platforms.

%prep
%setup -q -n NfSpy-%{version}
sed -i '1{\@^#!/usr/bin/env python@d}' nfspy/__init__.py nfspy/nfspy.py

%build
%py2_build

%install
%py2_install

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_bindir}/nfspysh
%{python2_sitelib}/%{name}/
%{python2_sitelib}/NfSpy*.egg-info

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0-13
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 22 2017 Fabian Affolter <mail@fabian-affolter.ch> - 1.0-11
- Rename BR

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sun May  8 2016 Peter Robinson <pbrobinson@fedoraproject.org> 1.0-7
- Actually fix FTBFS

* Sun Feb 14 2016 Fabian Affolter <mail@fabian-affolter.ch> - 1.0-6
- Fix FTBFS (rhbz#1307797)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 22 2014 Fabian Affolter <mail@fabian-affolter.ch> - 1.0-2
- Fix BR

* Mon Aug 12 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.0-1
- Initial package
